/*
    SDL - Simple DirectMedia Layer
    Copyright (C) 1997-2004 Sam Lantinga

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Sam Lantinga
    slouken@libsdl.org
*/

#ifdef SAVE_RCSID
static char rcsid =
 "@(#) $Id: SDL_PalmKeys.h,v 1.4 2004/11/13 17:38:53 fdie Exp $";
#endif

/**
 * Unlike keyDownEvent, the keyUpEvent is sent for characters corresponding to hardware buttons only. 
 * If the device contains a hardware keyboard, the application receives keyDownEvent and keyUpEvent for each 
 * character typed. If the user is using a software keyboard, the application only receives the keyDownEvent.
 */
#undef PALM_HARDWARE_KEYBOARD

#include "Chars.h"